#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PAR
%define	pnam	Packer
Summary:	PAR::Packer - PAR Packager
#Summary(pl.UTF-8):	
Name:		perl-PAR-Packer
Version:	1.045
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PAR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a3333754b0112ee8fe80083042b89a3b
URL:		http://search.cpan.org/dist/PAR-Packer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Archive-Zip >= 1
BuildRequires:	perl-Getopt-ArgvFile >= 1.07
BuildRequires:	perl-Module-ScanDeps >= 0.78
BuildRequires:	perl-PAR >= 1.014
BuildRequires:	perl-PAR-Dist >= 0.22
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the App::Packer::Backend interface, for generating
stand-alone executables, perl scripts and PAR files.

# %description -l pl.UTF-8
# TODO

%package tkpp
Summary:	tkpp - frontend to pp written in Perl/Tk
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description tkpp
Tkpp is a GUI frontend to pp, which can turn perl scripts into stand-alone
PAR files, perl scripts or executables.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/{,par-}pp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/par*
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/PAR/*
%{perl_vendorlib}/App/Packer/*
%{_mandir}/man3/*
%{_mandir}/man1/p*

%files tkpp
%attr(755,root,root) %{_bindir}/tkpp
%{_mandir}/man1/tkpp*
%changelog
* Fri Aug 31 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PAR-Packer.git;a=log;h=master

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 5d8f85e
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e7cd8d
- newer PAR needed

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 05adfeb
- avoid file conflict with nss-tools (pp binary)

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 55d1dfe
- up to 1.045

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7875e1b
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ffdc49
- release 2

* Fri Sep 04 2009 amateja <amateja@pld-linux.org> b6127fd
- updated to 0.991

* Thu Jan 22 2009 radek <radek@pld-linux.org> de7c552
- release 2: separated /usr/bin/tkpp (requires perl-Tk)

* Thu Jan 22 2009 radek <radek@pld-linux.org> 28cd35d
- new

